/***************************************************************************
                          kbeartags.cpp  -  description
                             -------------------
    begin                : fre jan 10 2003
    copyright            : (C) 2003 by Björn Sahlström
    email                : kbjorn@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//////////////////////////////////////////////////////////////////////
// Qt specific include files
#include <qstring.h>
//////////////////////////////////////////////////////////////////////
// KDE specific include files
//////////////////////////////////////////////////////////////////////
// System specific include files
//////////////////////////////////////////////////////////////////////
#include "kbeartags.h"
// Application specific include files

//-----------------------------------------------
namespace KBear {
	const QString TAG_CONNECTION = QString::fromLatin1( "connection" );
	const QString TAG_SITES = QString::fromLatin1( "sites" );
	const QString TAG_GROUP = QString::fromLatin1( "group" );
	const QString TAG_SITE = QString::fromLatin1( "site" );
	const QString TAG_PROTOCOL = QString::fromLatin1( "protocol" );
	const QString TAG_HOST = QString::fromLatin1( "host" );
	const QString TAG_PORT = QString::fromLatin1( "port" );
	const QString TAG_ANONYMOUS = QString::fromLatin1( "anonymous" );
	const QString TAG_USER = QString::fromLatin1( "user" );
	const QString TAG_PASS = QString::fromLatin1( "pass" );
	const QString TAG_REMOTE_PATH = QString::fromLatin1( "remote_path" );
	const QString TAG_LOCAL_PATH = QString::fromLatin1( "local_path" );
	const QString TAG_FILESYS_ENCODING = QString::fromLatin1( "filesys_encoding" );
	const QString TAG_DESCRIPTION = QString::fromLatin1( "description" );
	const QString TAG_DISABLE_PASV = QString::fromLatin1( "disable_pasv" );
	const QString TAG_DISABLE_EPASV = QString::fromLatin1( "disable_epasv" );
	const QString TAG_DISABLE_LOG = QString::fromLatin1( "disable_log" );
	const QString TAG_LIST_COMMAND = QString::fromLatin1( "list_command" );
	/* Removed since this is now a globally option
		const QString TAG_ASCII = QString::fromLatin1( "ascii" );
	*/
	const QString TAG_MDTM = QString::fromLatin1( "mdtm" );
	const QString TAG_MARK_PARTIAL = QString::fromLatin1( "mark_partial" );
	const QString TAG_AUTO_RECONNECT = QString::fromLatin1( "auto_reconnect" );
	const QString TAG_UNIX = QString::fromLatin1( "unix" );
	const QString TAG_QUEUE = QString::fromLatin1( "queue" );
	const QString TAG_SINGLE_CONNECTION = QString::fromLatin1( "single_connection" );

	const QString ATT_ENCODING = QString::fromLatin1( "encoding" );
	const QString ATT_VERSION = QString::fromLatin1( "version" );
	const QString ATT_LABEL = QString::fromLatin1( "label" );
	const QString ATT_PARENT = QString::fromLatin1( "parent" );
	const QString ATT_SLEEP = QString::fromLatin1( "sleep" );
	const QString ATT_COUNT = QString::fromLatin1( "count" );
};
//-----------------------------------------------

